#ifndef	BufferPool_H
#define	BufferPool_H

#include <list>

class Buffer;

class BufferPool {
public:
  BufferPool();
  virtual ~BufferPool();
  void insert(Buffer &b);
  void drop(Buffer &b);
  void dropAll(int dayOfList, int pktcnt);
  Buffer *findBuffer(int day, int month, int pktnum);
  const Buffer *findBuffer(int dayOfList, int pktnum) const;
  const int getPktMax(const int i) const;
  std::string &printStats(std::string &str);
  std::string &dumpBufferPool(int tiefe=0) const;
  void dumpBuffersToFile(const int i) const;

  std::list<Buffer> _buffers;
  int _pktMax[8];
  int _counted[8];
  int _suspicious[8];

protected:
  // Interface

  // Member

private:
  // Methoden

  // Member

};

std::ostream &operator << (std::ostream &os, const BufferPool &c);
std::ostream &operator < (std::ostream &os, const BufferPool &c);
std::istream &operator > (std::istream &os, BufferPool &c);

#endif
