#ifndef	misc_H
#define	misc_H

class misc {
public:
  static const char *itoa(const int wert);
  static const char *itox(const int wert, const int len = 0);
  static const char *itoa(const unsigned int wert);
  static const char *itox(const unsigned int wert, const int len = 0);
  static const char *ctox(unsigned char c);
  static std::string spaces(int anzahl);
  static std::string dumpInt(int wert, int tiefe);
  static int loadInt(std::istream &is);
  static unsigned int loadUInt(std::istream &is);
  static bool loadBool(std::istream &is);
  static std::string dumpUInt(unsigned int wert, int tiefe);
  static unsigned char *loadUCharP(std::istream &is);
  static std::string dumpUCharP(unsigned char *p, int tiefe);
  static std::string dumpBool(bool wert, int tiefe);
  static void strip(std::string &s);
};

std::ostream &operator << (std::ostream &os, const misc &c);

#endif
